<?php
/*
 * This file contains various common function for the jupload plugin
 */

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');


/**
 * This function write the javascript function that will check that java is enabled. If java is not enabled, 
 * the java_not_enabled text error will be displayed to the user.
 * 
 * @param url the url where the navigator should be redirected, if java is not enabled.
 */
function addJSJavaCheck($url = '') {
	//If no URL where given, let's try to guess it.
	if ($url == '') {
		$url = 'index.php?file=jupload/jupload&action=display_error&text=java_not_enabled';
	}
	//Let's write te javascript code.
	echo <<<EOS
	<script type="text/javascript">
	function checkJavaSupport() {
	  var result = { 
	    javaEnabled: false,
	    version: ''
	  };
	  if (typeof navigator != 'undefined' && typeof navigator.javaEnabled != 'undefined') 
	    result.javaEnabled = navigator.javaEnabled();
	  else
	    result.javaEnabled = 'unknown';
	  if (navigator.javaEnabled() && typeof java != 'undefined')
	    result.version = java.lang.System.getProperty("java.version");
	  return result;
	}
	
	if (!javaCheck.javaEnabled) {
		document.location.replace('${url}');
	}
	</script>
EOS;

}
